import { createAttrsForm } from "../../../defines/createAttrsForm";
import { createOptions } from "../../../defines/createOptions";

export { Component } from "./component";

export const { options, useCompData } = createOptions({
  name: "卡片",
  thumbnail: require("@/assets/comps/Card14/thumbnail.jpg"),
  value: {},
  layout: {
    padding: "0.5rem 0",
  },
  children: {
    text: {
      value: `<p style="text-align:center;"><span style="color:#666;font-size:12px;font-weight: bold;">蓝色是个舒服的颜色，
      处处充满着生机和希望，
      其明净空旷往往让人迷失其中，
      给人无限的对未来的憧憬，
      不需要过多的言语，让心灵感到平和</span></p>`,
      layout: {
        textAlign: "center",
      },
    },
    img1: {
      compKey: "Image",
      value: {
        url: require("@/assets/comps/Card14/img_1.jpg"),
      },
    },
    imgShoe: {
      compKey: "Image",
      value: {
        url: require("@/assets/comps/Card14/img_shoe.jpg"),
      },
    },
  },
});

export const Form = createAttrsForm([]);
